<?php 
	require( DIR_TEMPLATE.$this->config->get('config_template')."/template/common/config.tpl" ); 
	$themeName = basename( dirname(dirname(dirname(__FILE__))) );
?>
<?php echo $header; ?>

<?php if( $SPAN[0] ): ?>
	<aside class="span<?php echo $SPAN[0];?>">
		<?php echo $column_left; ?>
	</aside>
<?php endif; ?> 

<section class="span<?php echo $SPAN[1];?>">
	<?php if ($attention) { ?>
	<div class="attention"><?php echo $attention; ?><img src="catalog/view/theme/<?php echo $themeName;?>/image/close.png" alt="" class="close" /></div>
	<?php } ?>
	<?php if ($success) { ?>
	<div class="success"><?php echo $success; ?><img src="catalog/view/theme/<?php echo $themeName;?>/image/close.png" alt="" class="close" /></div>
	<?php } ?>
	<?php if ($error_warning) { ?>
	<div class="warning"><?php echo $error_warning; ?><img src="catalog/view/theme/<?php echo $themeName;?>/image/close.png" alt="" class="close" /></div>
	<?php } ?>

	<div id="content" class="cart one-page">	
		<?php echo $content_top; ?>
		
		<?php require( DIR_TEMPLATE.$this->config->get('config_template')."/template/common/breadcrumb.tpl" ); ?>
		
		<h1>
			<?php echo $heading_title; ?>		
			<?php if ($weight) { ?>
			&nbsp;(<?php echo $weight; ?>)
			<?php } ?>
		</h1>
		
		<div class="inner pav-form">		
			<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" class="pav-form">
				<div class="cart-info margin">
					<table class="table no-border">
						<thead class="hidden-phone">
							<tr>
								<td class="image"><?php echo $column_image; ?></td>
								<td class="name"><?php echo $column_name; ?></td>
								<td class="model"><?php echo $column_model; ?></td>
								<td class="quantity"><?php echo $column_quantity; ?></td>
								<td class="price"><?php echo $column_price; ?></td>
								<td class="total"><?php echo $column_total; ?></td>
							</tr>
						</thead>
						<tbody>
							<?php foreach ($products as $product) { ?>
							<tr>
								<td class="image">
									<?php if ($product['thumb']) { ?>
									<a href="<?php echo $product['href']; ?>">
										<img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" title="<?php echo $product['name']; ?>" />
									</a>
									<?php } ?>
								</td>
								
								<td class="name">
									<span class="phone hidden-desktop hidden-tablet"><?php echo $column_name; ?></span>
									<div class="avg-right">
										<a href="<?php echo $product['href']; ?>"><?php echo $product['name']; ?></a>
										<?php if (!$product['stock']) { ?>
										<span class="stock">***</span>
										<?php } ?>									
										<div class="option-value">
											<?php foreach ($product['option'] as $option) { ?>
											- <p><small><?php echo $option['name']; ?>: <?php echo $option['value']; ?></small></p>
											<?php } ?>
										</div>
										<?php if ($product['reward']) { ?>
											<p><small><?php echo $product['reward']; ?></small></p>
										<?php } ?>
									</div>
								</td>

								<td class="model">
									<span class="phone hidden-desktop hidden-tablet"><?php echo $column_model; ?></span>
									<span class="avg-right"><?php echo $product['model']; ?></span>
								</td>
								<td class="quantity">									
									<span class="phone hidden-desktop hidden-tablet"><?php echo $column_quantity; ?></span>
									<div class="row-fluid">
										<div class="span7">
											<div class="cart-inner">
												<input type="text" name="quantity[<?php echo $product['key']; ?>]" value="<?php echo $product['quantity']; ?>" size="1" class="span12" />		
											</div>											
										</div>									
										<div class="span5">
											<div class="cart-inner">
												<input class="pull-left cart-action" type="image" src="catalog/view/theme/<?php echo $themeName;?>/image/update.png" alt="<?php echo $button_update; ?>" title="<?php echo $button_update; ?>" />									
												<a class="pull-left cart-action" href="<?php echo $product['remove']; ?>">
													<img src="catalog/view/theme/<?php echo $themeName;?>/image/remove.png" alt="<?php echo $button_remove; ?>" title="<?php echo $button_remove; ?>" />
												</a>		
											</div>	
										</div>
									</div>
								</td>
								<td class="price">
									<span class="phone hidden-desktop hidden-tablet"><?php echo $column_price; ?></span>
									<span class="avg-right"><?php echo $product['price']; ?></span>
								</td>
								<td class="total">
									<span class="phone hidden-desktop hidden-tablet"><?php echo $column_total; ?></span>
									<span class="avg-right"><?php echo $product['total']; ?></span>
								</td>
							</tr>
							<?php } ?>
							<?php foreach ($vouchers as $vouchers) { ?>
							<tr>
								<td class="image"></td>
								<td class="name"><?php echo $vouchers['description']; ?></td>
								<td class="model"></td>
								<td class="quantity">
									<input type="text" name="" value="1" size="1" disabled="disabled" class="span12" />
									&nbsp;
									<a href="<?php echo $vouchers['remove']; ?>">
										<img src="catalog/view/theme/<?php echo $themeName;?>/image/remove.png" alt="<?php echo $button_remove; ?>" title="<?php echo $button_remove; ?>" />
									</a>
								</td>
								<td class="price"><?php echo $vouchers['amount']; ?></td>
								<td class="total"><?php echo $vouchers['amount']; ?></td>
							</tr>
							<?php } ?>
						</tbody>
					</table>
				</div>
			</form>

			<?php if ($coupon_status || $voucher_status || $reward_status || $shipping_status) { ?>
				<div  class="content">
					<h3><?php echo $text_next; ?></h3>
					<div class="wrapper">
						<p><?php echo $text_next_choice; ?></p>
						<table class="radio table is-relative">
							<?php if ($coupon_status) { ?>
							<tr class="highlight">
								<td>
									<?php if ($next == 'coupon') { ?>
									<input type="radio" name="next" value="coupon" id="use_coupon" checked="checked" />
									<?php } else { ?>
									<input type="radio" name="next" value="coupon" id="use_coupon" />
									<?php } ?>
								</td>
								<td>
									<label for="use_coupon"><?php echo $text_use_coupon; ?></label>
								</td>
							</tr>
							<?php } ?>
							<?php if ($voucher_status) { ?>
							<tr class="highlight">
								<td>
									<?php if ($next == 'voucher') { ?>
									<input type="radio" name="next" value="voucher" id="use_voucher" checked="checked" />
									<?php } else { ?>
									<input type="radio" name="next" value="voucher" id="use_voucher" />
									<?php } ?>
								</td>
								<td>
									<label for="use_voucher"><?php echo $text_use_voucher; ?></label>
								</td>
							</tr>
							<?php } ?>
							<?php if ($reward_status) { ?>
							<tr class="highlight">
								<td>
									<?php if ($next == 'reward') { ?>
									<input type="radio" name="next" value="reward" id="use_reward" checked="checked" />
									<?php } else { ?>
									<input type="radio" name="next" value="reward" id="use_reward" />
									<?php } ?>
								</td>
								<td>
									<label for="use_reward"><?php echo $text_use_reward; ?></label>
								</td>
							</tr>
							<?php } ?>
							<?php if ($shipping_status) { ?>
							<tr class="highlight">
								<td>
									<?php if ($next == 'shipping') { ?>
									<input type="radio" name="next" value="shipping" id="shipping_estimate" checked="checked" />
									<?php } else { ?>
									<input type="radio" name="next" value="shipping" id="shipping_estimate" />
									<?php } ?>
								</td>
								<td>
									<label for="shipping_estimate"><?php echo $text_shipping_estimate; ?></label>
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
				</div>
				
				<div class="cart-module clearfix">
					<div id="coupon" class="content" style="display: <?php echo ($next == 'coupon' ? 'block' : 'none'); ?>;">
						<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" class="no-border">
							<p>
								<span><?php echo $entry_coupon; ?></span>
								<input type="text" name="coupon" value="<?php echo $coupon; ?>" class="span3" />
								<input type="hidden" name="next" value="coupon" />							
								<input type="submit" value="<?php echo $button_coupon; ?>" class="button" />
							</p>							
						</form>
					</div>
					<div id="voucher" class="content" style="display: <?php echo ($next == 'voucher' ? 'block' : 'none'); ?>;">
						<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" class="no-border">
							<p>
								<span><?php echo $entry_voucher; ?></span>
								<input type="text" name="voucher" value="<?php echo $voucher; ?>" class="span3" />
								<input type="hidden" name="next" value="voucher" />
								<input type="submit" value="<?php echo $button_voucher; ?>" class="button" />
							</p>
						</form>
					</div>
					<div id="reward" class="content" style="display: <?php echo ($next == 'reward' ? 'block' : 'none'); ?>;">
						<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
							<p><?php echo $entry_reward; ?></p>
							<p><input type="text" name="reward" value="<?php echo $reward; ?>" class="span6" /></p>
							<input type="hidden" name="next" value="reward" />
							<p><input type="submit" value="<?php echo $button_reward; ?>" class="button" /></p>
						</form>
					</div>
					<div id="shipping" class="content" style="display: <?php echo ($next == 'shipping' ? 'block' : 'none'); ?>;">
						<p><?php echo $text_shipping_detail; ?></p>

						<div class="wrapper">
						<table class="table no-border">
							<tr>
								<td>
									<span class="required">*</span> <?php echo $entry_country; ?>
								</td>
								<td>
									<select name="country_id">
										<option value=""><?php echo $text_select; ?></option>
										<?php foreach ($countries as $country) { ?>
										<?php if ($country['country_id'] == $country_id) { ?>
										<option value="<?php echo $country['country_id']; ?>" selected="selected"><?php echo $country['name']; ?></option>
										<?php } else { ?>
										<option value="<?php echo $country['country_id']; ?>"><?php echo $country['name']; ?></option>
										<?php } ?>
										<?php } ?>
									</select>
								</td>
							</tr>
							<tr>
								<td>
									<span class="required">*</span> <?php echo $entry_zone; ?>
								</td>
								<td>
									<select name="zone_id"></select>
								</td>
							</tr>
							<tr>
								<td>
									<span id="postcode-required" class="required">*</span> <?php echo $entry_postcode; ?>
								</td>
								<td>
									<input type="text" name="postcode" value="<?php echo $postcode; ?>" class="span6" />
								</td>
							</tr>
						</table>
						</div>
						<div class="wrapper clearfix">
							<input type="button" value="<?php echo $button_quote; ?>" id="button-quote" class="button right" />	
						</div>							
					</div>
				</div>
				<?php } ?>
				<div class="cart-total wrapper clearfix">
					<table id="total" class="table no-border">
						<?php foreach ($totals as $total) { ?>
						<tr>
							<td class="a-left"><b><?php echo $total['title']; ?>:</b></td>
							<td class="a-right"><?php echo $total['text']; ?></td>
						</tr>
						<?php } ?>
					</table>
				</div>
				<div class="buttons clearfix wrapper">
					<div class="right"><a href="<?php echo $checkout; ?>" class="button"><?php echo $button_checkout; ?></a></div>
					<div class="left"><a href="<?php echo $continue; ?>" class="button"><?php echo $button_shopping; ?></a></div>
				</div>
		</div>		
		<?php echo $content_bottom; ?>
	</div>

	<script type="text/javascript">
	<!--
		$('input[name=\'next\']').bind('change', function() {
			$('.cart-module > div').hide();
			
			$('#' + this.value).show();
		});
	//-->
	</script>

	<?php if ($shipping_status) { ?>

	<script type="text/javascript">
	<!--
		$('#button-quote').live('click', function() {
			$.ajax({
				url: 'index.php?route=checkout/cart/quote',
				type: 'post',
				data: 'country_id=' + $('select[name=\'country_id\']').val() + '&zone_id=' + $('select[name=\'zone_id\']').val() + '&postcode=' + encodeURIComponent($('input[name=\'postcode\']').val()),
				dataType: 'json',		
				beforeSend: function() {
					$('#button-quote').attr('disabled', true);
					$('#button-quote').after('<span class="wait">&nbsp;<img src="catalog/view/theme/<?php echo $themeName;?>/image/loading.gif" alt="" /></span>');
				},
				complete: function() {
					$('#button-quote').attr('disabled', false);
					$('.wait').remove();
				},		
				success: function(json) {
					$('.success, .warning, .attention, .error').remove();			

					if (json['error']) {
						if (json['error']['warning']) {
							$('#notification').html('<div class="warning" style="display: none;">' + json['error']['warning'] + '<img src="catalog/view/theme/<?php echo $themeName;?>/image/close.png" alt="" class="close" /></div>');
							
							$('.warning').fadeIn('slow');
							
							$('html, body').animate({ scrollTop: 0 }, 'slow'); 
						}	

						if (json['error']['country']) {
							$('select[name=\'country_id\']').after('<span class="error">' + json['error']['country'] + '</span>');
						}	
						
						if (json['error']['zone']) {
							$('select[name=\'zone_id\']').after('<span class="error">' + json['error']['zone'] + '</span>');
						}
						
						if (json['error']['postcode']) {
							$('input[name=\'postcode\']').after('<span class="error">' + json['error']['postcode'] + '</span>');
						}					
					}
					
					if (json['shipping_method']) {
						html  = '<h2><?php echo $text_shipping_method; ?></h2>';
						html += '<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">';
						html += '  <table class="radio table">';
						
						for (i in json['shipping_method']) {
							html += '<tr>';
							html += '  <td colspan="3"><b>' + json['shipping_method'][i]['title'] + '</b></td>';
							html += '</tr>';

							if (!json['shipping_method'][i]['error']) {
								for (j in json['shipping_method'][i]['quote']) {
									html += '<tr class="highlight">';
									
									if (json['shipping_method'][i]['quote'][j]['code'] == '<?php echo $shipping_method; ?>') {
										html += '<td><input type="radio" name="shipping_method" value="' + json['shipping_method'][i]['quote'][j]['code'] + '" id="' + json['shipping_method'][i]['quote'][j]['code'] + '" checked="checked" /></td>';
									} else {
										html += '<td><input type="radio" name="shipping_method" value="' + json['shipping_method'][i]['quote'][j]['code'] + '" id="' + json['shipping_method'][i]['quote'][j]['code'] + '" /></td>';
									}

									html += '  <td><label for="' + json['shipping_method'][i]['quote'][j]['code'] + '">' + json['shipping_method'][i]['quote'][j]['title'] + '</label></td>';
									html += '  <td style="text-align: right;"><label for="' + json['shipping_method'][i]['quote'][j]['code'] + '">' + json['shipping_method'][i]['quote'][j]['text'] + '</label></td>';
									html += '</tr>';
								}		
							} else {
								html += '<tr>';
								html += '  <td colspan="3"><div class="error">' + json['shipping_method'][i]['error'] + '</div></td>';
								html += '</tr>';						
							}
						}
						
						html += '  </table>';
						html += '  <br />';
						html += '  <input type="hidden" name="next" value="shipping" />';
						
						<?php if ($shipping_method) { ?>
							html += '  <input type="submit" value="<?php echo $button_shipping; ?>" id="button-shipping" class="button" />';	
							<?php } else { ?>
								html += '  <input type="submit" value="<?php echo $button_shipping; ?>" id="button-shipping" class="button" disabled="disabled" />';	
								<?php } ?>

								html += '</form>';

								$.colorbox({
									overlayClose: true,
									opacity: 0.5,
									width: '600px',
									height: '400px',
									href: false,
									html: html
								});

								$('input[name=\'shipping_method\']').bind('change', function() {
									$('#button-shipping').attr('disabled', false);
								});
							}
						}
					});
				});
			//-->
	</script> 

	<script type="text/javascript">
	<!--
		$('select[name=\'country_id\']').bind('change', function() {
			$.ajax({
				url: 'index.php?route=checkout/cart/country&country_id=' + this.value,
				dataType: 'json',
				beforeSend: function() {
					$('select[name=\'country_id\']').after('<span class="wait">&nbsp;<img src="catalog/view/theme/<?php echo $themeName;?>/image/loading.gif" alt="" /></span>');
				},
				complete: function() {
					$('.wait').remove();
				},			
				success: function(json) {
					if (json['postcode_required'] == '1') {
						$('#postcode-required').show();
					} else {
						$('#postcode-required').hide();
					}
					
					html = '<option value=""><?php echo $text_select; ?></option>';
					
					if (json['zone'] != '') {
						for (i = 0; i < json['zone'].length; i++) {
							html += '<option value="' + json['zone'][i]['zone_id'] + '"';
							
							if (json['zone'][i]['zone_id'] == '<?php echo $zone_id; ?>') {
								html += ' selected="selected"';
							}

							html += '>' + json['zone'][i]['name'] + '</option>';
						}
					} else {
						html += '<option value="0" selected="selected"><?php echo $text_none; ?></option>';
					}
					
					$('select[name=\'zone_id\']').html(html);
				},
				error: function(xhr, ajaxOptions, thrownError) {
					alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
				}
			});
		});

		$('select[name=\'country_id\']').trigger('change');
	//-->
	</script>

	<?php } ?>
	
</section> 

<?php if( $SPAN[2] ): ?>
<aside class="span<?php echo $SPAN[2];?>">	
	<?php echo $column_right; ?>
</aside>
<?php endif; ?>

<?php echo $footer; ?>